using Pkg
Pkg.activate("/home/fperez/Git/LGPU_fork_ferflow")

using LatticeGPU
using TOML
using TimerOutputs
using ArgParse
using CUDA
using InteractiveUtils
using BDIO
using MD5

reset_timer!()

include("./src/io.jl")
include("./src/meas.jl")
include("./src/mc.jl")

@timeit "Input reading and space allocation" begin
    read_input()
    load_structs()
    global log_file = open("./output/"*params["Run"]["name"]*".log","w+")
    write_log()
    load_fields()
    therm_or_readlist()
end

while RUN_ON

    @timeit "HMC" Gauge_update()

    @timeit "Two point function" two_pt()

    @timeit "One point function" one_pt()

    @timeit "Saving" save_data()

end

print_timer(log_file)

flush(log_file)
close(log_file)
